Package org.apache.sling.serviceusermapping

## Interface ServiceUserValidator

    @ConsumerType
    public interface ServiceUserValidator

The `ServiceUserValidator` allows to implement validation of configured service user mappings.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isValid​(String serviceUserId, String serviceName, String subServiceName)` Validates the configured service user ID.

### Method Detail

#### isValid

    boolean isValid​(String serviceUserId,
                    String serviceName,
                    String subServiceName)

Validates the configured service user ID.

Parameters:
  `serviceUserId` - The ID of the configured service user.
  `serviceName` - The name of the service
  `subServiceName` - The optional sub service name.
Returns:
  `true` if the configured service user is valid; `false` otherwise.